# RPM specfile for XML-Writer module
# Generated Mon Sep 17 00:52:20 2001 GMT by Ximian build system
# $Id: bb_do,v 1.136 2001/09/16 19:15:49 peter Exp $
# from $Id: ximian-build.conf,v 1.4 2001/05/21 14:13:07 peter Exp $

%define nam	XML-Writer
%define ver	0.4

Name:     	perl-XML-Writer
Version: 	0.4
Release:	ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.2 / i386
Copyright:	Artistic
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		http://www.cpan.org/
Source0:	XML-Writer-0.4.tar.gz
Summary:	Perl module for writing XML files
Group:		Development/Perl
Requires:	perl-XML-Parser

%description
This module provides a simple API layer on top of XML::Parser.

%files
%defattr(-, root, root)
%doc Changes README
/usr/lib/perl5


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n XML-Writer-0.4
    ;;
all)
%setup  -q -n XML-Writer-0.4
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    perl Makefile.PL INSTALLDIRS=perl
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} PREFIX=${DESTDIR}/usr install; find ${DESTDIR} -type f -name .packlist |xargs -r rm -f; find ${DESTDIR} -type f -name perllocal.pod |xargs -r rm -f
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
